Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim intLinha, intIndice As Integer

        ListView1.Items.Clear()

        For intLinha = 0 To 4
            Dim item As ListViewItem
            item = ListView1.Items.Add("Item " & intLinha + 1, intIndice)
            ListView1.Items(intLinha).SubItems.Add("Item " & intLinha + 1)
            ListView1.Items(intLinha).SubItems.Add("Item " & intLinha + 1)
            ListView1.Items(intLinha).SubItems.Add("Item " & intLinha + 1)
            ListView1.Items(intLinha).SubItems.Add("Item " & intLinha + 1)
            intIndice += 1
        Next
    End Sub

    Private Sub ListView1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ListView1.SelectedIndexChanged

    End Sub

    Private Sub CheckBox1_CheckedChanged(sender As Object, e As EventArgs) Handles CheckBox1.CheckedChanged
        ListView1.MultiSelect = Not ListView1.MultiSelect
    End Sub

    Private Sub CheckBox2_CheckedChanged(sender As Object, e As EventArgs) Handles CheckBox2.CheckedChanged
        ListView1.GridLines = Not ListView1.GridLines
    End Sub

    Private Sub CheckBox3_CheckedChanged(sender As Object, e As EventArgs) Handles CheckBox3.CheckedChanged
        ListView1.FullRowSelect = Not ListView1.FullRowSelect
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        ListView1.Columns.Add("Coluna " & ListView1.Columns.Count + 1, ListView1.Columns(0).Width)
    End Sub

    Private Sub CheckBox4_CheckedChanged(sender As Object, e As EventArgs) Handles CheckBox4.CheckedChanged
        ListView1.CheckBoxes = Not ListView1.CheckBoxes
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        ComboBox1.Items.Add(View.Details)
        ComboBox1.Items.Add(View.List)
        ComboBox1.Items.Add(View.SmallIcon)
        ComboBox1.Items.Add(View.Tile)
        ComboBox1.Items.Add(View.LargeIcon)
        ComboBox1.SelectedIndex = 0
    End Sub

    Private Sub ComboBox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ComboBox1.SelectedIndexChanged
        ListView1.View = ComboBox1.SelectedItem
    End Sub
End Class
